Browse Source

add nix-maintenance.sh

container/radius
Astro 2 years ago
parent
commit
0c9ce308c2
1 changed files with 10 additions and 0 deletions
  1. 10
    0
      nix-maintenance.sh

+ 10
- 0
nix-maintenance.sh View File

@@ -0,0 +1,10 @@
1
+#!/usr/bin/env bash
2
+
3
+set -x
4
+set -e
5
+
6
+sudo nix-channel --update
7
+time nix-env -- -u \*
8
+time sudo nixos-rebuild switch
9
+time sudo nix-collect-garbage -d
10
+time sudo nix-store --optimise

Loading…
Cancel
Save